From da2b9045308b76ca5f5fe89be64b021db138cce1 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 01 2020 22:42:19 +0000
Subject: [PATCH 79/2232] Merge pull request #50 from dtolnay/snake


Expose snake case type aliases
---

diff --git a/include/cxxbridge.h b/include/cxxbridge.h
index 3107668..4fc1bf9 100644
--- a/include/cxxbridge.h
+++ b/include/cxxbridge.h
@@ -128,5 +128,10 @@ private:
 std::ostream &operator<<(std::ostream &os, const String &s);
 std::ostream &operator<<(std::ostream &os, const Str &s);
 
+// Snake case aliases for use in code that uses this style for type names.
+using string = String;
+using str = Str;
+template <class T> using box = Box<T>;
+
 } // namespace cxxbridge01
 } // namespace rust

